# `gmsh_jll.jl` (v4.10.2+0)

[![deps](https://juliahub.com/docs/gmsh_jll/deps.svg)](https://juliahub.com/ui/Packages/gmsh_jll/JgHcD?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/c03c3aa96bdc2f80bd875c1e96fa9aed890855ac/G/gmsh/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `gmsh_jll.jl` have been built from these sources:

* compressed archive: https://gmsh.info/src/gmsh-4.10.2-source.tgz (SHA256 checksum: `d921109e6c419f68d5507d9612ee815d40b5239a5db175f28285e0cd0dbf2517`)

## Platforms

`gmsh_jll.jl` is available for the following platforms:

* `macOS aarch64` (`aarch64-apple-darwin`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=glibc}` (`aarch64-linux-gnu-cxx03`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=glibc}` (`aarch64-linux-gnu-cxx11`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=musl}` (`aarch64-linux-musl-cxx03`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=musl}` (`aarch64-linux-musl-cxx11`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc}` (`armv6l-linux-gnueabihf-cxx03`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc}` (`armv6l-linux-gnueabihf-cxx11`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl}` (`armv6l-linux-musleabihf-cxx03`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl}` (`armv6l-linux-musleabihf-cxx11`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc}` (`armv7l-linux-gnueabihf-cxx03`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc}` (`armv7l-linux-gnueabihf-cxx11`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl}` (`armv7l-linux-musleabihf-cxx03`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl}` (`armv7l-linux-musleabihf-cxx11`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc}` (`i686-linux-gnu-cxx03`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc}` (`i686-linux-gnu-cxx11`)
* `Linux i686 {cxxstring_abi=cxx03, libc=musl}` (`i686-linux-musl-cxx03`)
* `Linux i686 {cxxstring_abi=cxx11, libc=musl}` (`i686-linux-musl-cxx11`)
* `Windows i686 {cxxstring_abi=cxx03}` (`i686-w64-mingw32-cxx03`)
* `Windows i686 {cxxstring_abi=cxx11}` (`i686-w64-mingw32-cxx11`)
* `Linux powerpc64le {cxxstring_abi=cxx03, libc=glibc}` (`powerpc64le-linux-gnu-cxx03`)
* `Linux powerpc64le {cxxstring_abi=cxx11, libc=glibc}` (`powerpc64le-linux-gnu-cxx11`)
* `macOS x86_64` (`x86_64-apple-darwin`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc}` (`x86_64-linux-gnu-cxx03`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc}` (`x86_64-linux-gnu-cxx11`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=musl}` (`x86_64-linux-musl-cxx03`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=musl}` (`x86_64-linux-musl-cxx11`)
* `FreeBSD x86_64` (`x86_64-unknown-freebsd`)
* `Windows x86_64 {cxxstring_abi=cxx03}` (`x86_64-w64-mingw32-cxx03`)
* `Windows x86_64 {cxxstring_abi=cxx11}` (`x86_64-w64-mingw32-cxx11`)

## Dependencies

The following JLL packages are required by `gmsh_jll.jl`:

* [`Cairo_jll`](https://github.com/JuliaBinaryWrappers/Cairo_jll.jl)
* [`CompilerSupportLibraries_jll`](https://github.com/JuliaBinaryWrappers/CompilerSupportLibraries_jll.jl)
* [`FLTK_jll`](https://github.com/JuliaBinaryWrappers/FLTK_jll.jl)
* [`FreeType2_jll`](https://github.com/JuliaBinaryWrappers/FreeType2_jll.jl)
* [`GLU_jll`](https://github.com/JuliaBinaryWrappers/GLU_jll.jl)
* [`GMP_jll`](https://github.com/JuliaBinaryWrappers/GMP_jll.jl)
* [`HDF5_jll`](https://github.com/JuliaBinaryWrappers/HDF5_jll.jl)
* [`JpegTurbo_jll`](https://github.com/JuliaBinaryWrappers/JpegTurbo_jll.jl)
* [`LLVMOpenMP_jll`](https://github.com/JuliaBinaryWrappers/LLVMOpenMP_jll.jl)
* [`Libglvnd_jll`](https://github.com/JuliaBinaryWrappers/Libglvnd_jll.jl)
* [`METIS_jll`](https://github.com/JuliaBinaryWrappers/METIS_jll.jl)
* [`MMG_jll`](https://github.com/JuliaBinaryWrappers/MMG_jll.jl)
* [`OCCT_jll`](https://github.com/JuliaBinaryWrappers/OCCT_jll.jl)
* [`Xorg_libX11_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libX11_jll.jl)
* [`Xorg_libXext_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libXext_jll.jl)
* [`Xorg_libXfixes_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libXfixes_jll.jl)
* [`Xorg_libXft_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libXft_jll.jl)
* [`Xorg_libXinerama_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libXinerama_jll.jl)
* [`Xorg_libXrender_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libXrender_jll.jl)
* [`Zlib_jll`](https://github.com/JuliaBinaryWrappers/Zlib_jll.jl)
* [`libpng_jll`](https://github.com/JuliaBinaryWrappers/libpng_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `FileProduct`: `gmsh_api`
* `LibraryProduct`: `libgmsh`
